Redmine - Feature #298

Project to subproject relationship
2007-03-25 15:55 - Doug Renn

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

| suggest changing the project to sub-project relationship from one-to-many to a many-to-many relationship such that
a sub-project could belong to more than one project.

Related issues:
Is duplicate of Redmine - Feature #5283: Allow more than one parent project i... New 2010-04-09

History

#1 - 2007-09-14 09:13 - Philippe Lachaise

Having a visual representaion of such relationhips would be a
big help.

With the current implementation listing projects like this would
already be a big plus :

project_1
sub-project-1.1
sub-project-1.2
sub-sub-project-1.2.1
sub-project-1.3
project_2
sub-project-2.1

#2 - 2008-02-16 17:40 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Would add too much complexity when things like roles inheritance will be implemented.

#3 - 2009-03-11 18:42 - Richard Pecl

- Status changed from Closed to Reopened

Could you reconsider this decision?
Such feature is really needed. We have many sub-projects shared between many projects.

#4 - 2009-03-12 13:24 - Thomas Pihl

If they are shared, are they then really subprojects? Sounds more like they are parallell projects with relations to many other projekts.

T

#5 - 2009-03-12 13:50 - Richard Pecl

They are subprojects.

E.g.: we have communication library, this library is used in two different projects. We need to show issues in communication library in both projects,
and on each project there must be clear indication, that it depends on the communication library.

| know there is a workaround filtering issues on multiple projects, but that solves just part of the problem and is totally out of project-subproject
user-friendly concepts.

Could somebody designate what Redmine functionality could be affected/must be changed when implementing this feature? Where are
sub-projects processed and shown, what are the issues, drawbacks?

As roles inheritance has been mentioned - is that implemented already? | don't think it is necessary to have role inheritance if that breaks possible
sub-project sharing.

#6 - 2011-01-25 20:43 - Brian Lindahl
I've remarked on how we solve the problem of shared components in #5283. In my opinion, this is a better way of handling shared components than
allowing subprojects to have multiple parents. It better represents whats truly going on, especially when you bring SCM into the picture.

#7 - 2011-02-26 19:18 - Etienne Massip

- Category set to Projects
#8 - 2014-07-16 09:27 - Tomislav Par¢ina
This feature has been opened for long time, and was requested many times. It would be great if it would be implemented.
Duplicates that | could find:
e Allow an issue to have multiple parent issues

e Allow more than one parent issue for a single issue
e Allow more than one parent project i.e. share subprojects

#9 - 2014-08-15 02:10 - Toshi MARUYAMA

- Has duplicate deleted (Feature #5283: Allow more than one parent project i.e. share subprojects)

#10 - 2014-08-15 02:12 - Toshi MARUYAMA
- Status changed from Reopened to Closed

- Resolution changed from Wont fix to Duplicate

Close as duplicate of #5283.
#5283 has more discussions.

#11 - 2014-08-15 02:13 - Toshi MARUYAMA

- Is duplicate of Feature #5283: Allow more than one parent project i.e. share subprojects added

2025-08-23 22


https://www.redmine.org/issues/5283
http://www.redmine.org/issues/9265
http://www.redmine.org/issues/9197
http://www.redmine.org/issues/5283
https://www.redmine.org/issues/5283
https://www.redmine.org/issues/5283
http://www.tcpdf.org

